/**
 * apeman bud for env files.
 * @memberof module:apeman-bud-env/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

"use strict";

const argx = require('argx'),
    stringcase = require('stringcase'),
    assert = require('assert'),
    _tmpl = require('./_tmpl');

/** @lends setup */
function setup(params) {
    let args = argx(arguments);
    params = args.shift('object') || {};

    let name = params.name,
        pkg = params.pkg;
    assert(name, 'params.name is required.');
    assert(pkg, 'params.pkg is required.');

    return [].concat(name).map((name) => {

        let tmpl = _tmpl(name);

        return {
            force: false,
            mode: '644',
            path: `${stringcase.spinalcase(name)}.json`,
            tmpl: tmpl,
            data: {
                name: name,
                pkg: pkg,
                params: params
            }
        }
    });
}

module.exports = setup;
